#ifndef OIL_REFINERY_HPP_
#define OIL_REFINERY_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MOilRefinery/MOilRefinery.hpp>

class OilRefinery : public SpriteBlock, public MachineBlockMixin<MOilRefinery>
{
private:
    static std::vector<Sprite> makeSprites();

public:
    OilRefinery(std::string name);

    virtual bool canManuallyDig() override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
    virtual void getHarvestedStacks(LocalWorld &world, glm::ivec3 pos, std::vector<ItemStack> &stacks) override;
    virtual bool canPlace(LocalWorld &world, IWorldActor &actor, glm::ivec3 pos, Side side, uint8_t &meta) override;
};

#endif